Skip to content

My Tasks

The My Tasks API allows end users to retrieve tasks assigned to them from access requests made through access request conditions in your Okta Identity Governance (OIG) org.

List all my tasks

Request

Beta
OAuth 2.0 scope:
  • okta.accessRequests.tasks.read

Lists all tasks assigned to you from access requests managed by OIG access request conditions.

See Access request conditions in the product documentation.

Query
filterstring, (scim-filter)(scim-filter)

A filter expression that filters a collection of tasks in the response. The filter expression supports the following properties and operators:

  • status: The status of the task. Possible values: OPEN, COMPLETED, ASSIGNING, and LOCKED. Supports the eq operator.
  • type: The type of the task. Possible values: QUESTION, APPROVAL, and TODO. Supports the eq operator.
  • requestId: The ID of the request for the task. Supports the eq operator.
  • createdAt: The task created time. Supports the gt, ge, le, and lt operators.
  • updatedAt: The latest task updated time. Supports the gt, ge, le, and lt operators.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Filter by status
filter=status eq "OPEN"
Filter by type
filter=type eq "QUESTION"
Filter by requestId
filter=requestId eq "0oafxqCAJWWGELFTYASJ"
Filter by createdAt
filter=createdAt gt "2022-05-24T14:15:22Z"
Filter by updatedAt
filter=updatedAt gt "2022-05-24T14:15:22Z"
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring, (task-id), = 24 characters(task-id)^[0-9a-f]{24}$

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=68b0a1576dd8db837f5ee55d
orderBystring, (order-by)(order-by)

Specifies a property to sort the results. The following properties are supported:

  • createdAt
  • updatedAt

Append desc or asc to indicate the sorting direction.

Note: Query parameter percent encoding is required. See Percent-encoding.

Examples:
Order by created
orderBy=createdAt desc
Order by updatedAt
orderBy=updatedAt desc
GET
/governance/api/v2/my/tasks
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/tasks?filter=status%20eq%20%22OPEN%22&limit=20&after=68b0a1576dd8db837f5ee55d&orderBy=createdAt%20desc'

Responses

A successful my tasks list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(task-sparse)

All tasks on the current page

Response
{ "data": [ {} ], "_links": { "self": {}, "next": {} } }